QMOD(1)

NAME
qmod - modify a Grid Engine Enterprise Edition queue

SYNTAX
qmod [ options ] [ job/task_id_list | queue_list ]

DESCRIPTION
Qmod enables users classified as owners (see for details) of a workstation to modify the state of Grid Engine Enterprise Edition queues for his/her machine as well as the state of his/her own jobs. A manager/operator or root can execute qmod for any queue and job in a cluster.

OPTIONS

-c  Clears the error state of the specified queue(s).

-d  Disables the queue(s), i.e. no further jobs are dispatched to disabled queues while jobs already executing in these queues are allowed to finish.

    (Is the successor of the CODINE version 3 -soc option.)

-e  Enables the queue(s).

    (Is the successor of the CODINE version 3 -xsoc option.)

-f  Force the modification action for the queue despite the apparent current state of the queue. For example if a queue appears to be suspended but the job execution seems to be continuing the manager/operator can force a suspend operation which will send a SIGSTOP to the jobs. In any case, the queue or job status will be set even if the controlling the queues/jobs cannot be reached. Requires manager/operator privileges.

-help
    Prints a listing of all options.

-r  If applied to queues, reschedules all jobs currently running in this queue. If applied to running jobs, reschedules the jobs. Requires root or manager privileges.

-s  If applied to queues, suspends the queues and any jobs which might be active. If applied to running jobs, suspends the jobs. If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

-us If applied to queues, unsuspends the queues and any jobs which might be active. If applied to jobs, unsuspends the jobs. If a job is both suspended explicitly and via suspension of its queue, a following unsuspend of the queue will not release the suspension state on the job.

-verify
    performs no modifications but just prints what would be done if -verify was not present.

job/task_id_list | queue_list
    The jobs or queues upon which qmod is supposed to operate. The job/task_id_list is specified by one of the following forms:

        job_id[.task_range][,job_id[.task_range],...]
        job_id[.task_range][ job_id[.task_range] ...]

    If present, the task_range restricts the effect of the qmod operation to the array job task range specified as suffix to the job id (see the -t option to for further details on array jobs).

    The task range specifier has the form n[-m[:s]][,n[-m[:s]], ...] or n[-m[:s]][ n[-m[:s]] ...] and thus consists of a comma or blank separated list of range specifiers n[-m[:s]]. The ranges are concatenated to the complete task id range. Each range may be a single number, a simple range of the form n-m or a range with a step size.

    The queue_list is specified by one of the following forms:

        queuename[,queuename ...]
        queuename[ queuename ...]

    Alternatively a wildcard charcter "*" can be used for specifying queues, e.g. "s*" will select all queues starting with "s".

ENVIRONMENTAL VARIABLES

SGE_ROOT
    Specifies the location of the Grid Engine Enterprise Edition standard configuration files.

SGE_CELL
    If set, specifies the default Grid Engine Enterprise Edition cell. To address a Grid Engine Enterprise Edition cell qmod uses (in the order of precedence):

        The name of the cell specified in the environment variable SGE_CELL, if it is set.

        The name of the default cell, i.e. default.

SGE_DEBUG_LEVEL
    If set, specifies that debug information should be written to stderr. In addition the level of detail in which debug information is generated is defined.

COMMD_PORT
    If set, specifies the tcp port on which is expected to listen for communication requests. Most installations will use a services map entry instead to define that port.

COMMD_HOST
    If set, specifies the host on which the particular to be used for Grid Engine Enterprise Edition communication of the qmod client resides. Per default the local host is used.

FILES
<sge_root>/<cell>/common/act_qmaster
	Grid Engine Enterprise Edition master host file

SEE ALSO

COPYRIGHT
See for a full statement of rights and permissions.